<?php

/**
 * 内部リンク用ブログカード
 * @since 1.0.0
 * @return string
 */
function stbl_get_limited_time_2($attributes, $content = '') {

	$start = ! empty( $attributes["dateTimeStart"] ) ? $attributes["dateTimeStart"] : false;
	$end = ! empty( $attributes["dateTimeClose"] ) ? $attributes["dateTimeClose"] : false;

	if ( empty( $start ) && empty( $end ) ) return;

	date_default_timezone_set('Asia/Tokyo');
	$now = strtotime( date( 'Y-m-d H:i' ) );

	if ( ! empty( $start ) && ! empty( $end ) ) {

		if ( ( strtotime( $start ) <= $now ) && ( $now < strtotime( $end ) ) ) {
			return $content;
		}

	} elseif ( ! empty( $start ) ) {

		if ( strtotime( $start ) <= $now ) {
			return $content;
		}

	} elseif ( ! empty( $end ) ) {

		if ( $now < strtotime( $end ) ) {
			return $content;
		}

	}

	return '';
}

function stbl_register_block_limited_time_2() {
	register_block_type('streetist-blocks/limited-time-2', array(
		'editor_script' => 'editor-script-streetist-blocks',
		'editor_style' => 'editor-style-streetist-blocks',
		'script' => 'script-streetist-blocks',
		'style' => 'style-streetist-blocks',
		'attributes' 	=> array(
			'dateTimeStart' => array(
				'type' => 'string',
			),
			'dateTimeClose' => array(
				'type' => 'string',
			)
		),
		'render_callback'	=> 'stbl_get_limited_time_2',
	));
}
add_action('init', 'stbl_register_block_limited_time_2');